commit:     8618acf0cbe1a6ac2d2fa73b0504a9de083f165f
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Tue Dec  1 04:40:01 2020 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Tue Dec  1 04:41:54 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8618acf0

Revert "sci-libs/shapely: drop old"

This reverts commit 55a17758608de9e682f47716efa2ee0bab6c71f9.

That commit broke the tree, as CI forewarned.

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 sci-libs/shapely/Manifest                          |  2 +
 .../files/shapely-1.6.4_p2-test_operations.patch   | 17 +++++++
 sci-libs/shapely/shapely-1.6.4_p2-r1.ebuild        | 57 ++++++++++++++++++++++
 sci-libs/shapely/shapely-1.7.0.ebuild              | 39 +++++++++++++++
 4 files changed, 115 insertions(+)

diff --git a/sci-libs/shapely/Manifest b/sci-libs/shapely/Manifest
index 2848f35bb31..0ef111bb11b 100644
--- a/sci-libs/shapely/Manifest
+++ b/sci-libs/shapely/Manifest
@@ -1 +1,3 @@
+DIST Shapely-1.6.4.post2.tar.gz 225745 BLAKE2B 
96e995db6dd1464bac7c2562efdc7f298a5f23c388e44f334db685b1cfa1025ff403db870e11328977a267483726504e03b6d7c47fe4234a3a5966a13b2b7311
 SHA512 
027c816ef2104f654569ca658b52b87c60e5ba6a45927fcc51c23dd1922f3f9f7fdcea3601160b0a999e39611617142833ccac790777093be8b96a0d9083f78f
+DIST shapely-1.7.0.tar.gz 281419 BLAKE2B 
1a4e84104f21d2f5a5eb810883a89deb20fd47cf146efed884994786364b29bb5a194b063a50ae21842c07c335cbbee0c3d1a1e4ff4e43e0d083080fe33815ac
 SHA512 
4d944fc6727e11d004ef7ba0325c159aa5ae03043f17b029ab0a399d6dcd361c4d299ad864a045a99b0229e333d5b42634bc6fd1ed94b914b7cf58fb886af2de
 DIST shapely-1.7.1.tar.gz 293368 BLAKE2B 
14d9cb0c2b486a3a20b71c0cde7260ec357287ea020352c0320eea07b91674605bdcd22512b33c5ac5a71b89c3d811946f8dd6d3b90c61398203a4c68f30d067
 SHA512 
72070437960a8c1cf6504b5f4ccc8ec509f87fb6a90178e291aff14889f5add89f9ed4f7e9a19799ce0835c1aea3f0241eaa6efd4d8ea5b879f2167f7c1de50a

diff --git a/sci-libs/shapely/files/shapely-1.6.4_p2-test_operations.patch 
b/sci-libs/shapely/files/shapely-1.6.4_p2-test_operations.patch
new file mode 100644
index 00000000000..a9213a33376
--- /dev/null
+++ b/sci-libs/shapely/files/shapely-1.6.4_p2-test_operations.patch
@@ -0,0 +1,17 @@
+Description: Mark test_operations as xfail.
+         # Intersection
+ >       self.assertIsInstance(point.intersection(Point(-1, -1)),
+                               GeometryCollection)
+ E       AssertionError: <shapely.geometry.point.Point object at 
0xffffb6e2c250> is not an instance of <class 
'shapely.geometry.collection.GeometryCollection'>
+Author: Bas Couwenberg <[email protected]>
+
+--- a/tests/test_operations.py
++++ b/tests/test_operations.py
+@@ -7,6 +7,7 @@ from shapely.geos import TopologicalErro
+ 
+ class OperationsTestCase(unittest.TestCase):
+ 
++    @pytest.mark.xfail(reason="Intersection: Point is not an instance of 
GeometryCollection")
+     def test_operations(self):
+         point = Point(0.0, 0.0)
+ 

diff --git a/sci-libs/shapely/shapely-1.6.4_p2-r1.ebuild 
b/sci-libs/shapely/shapely-1.6.4_p2-r1.ebuild
new file mode 100644
index 00000000000..be793427c4b
--- /dev/null
+++ b/sci-libs/shapely/shapely-1.6.4_p2-r1.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="Shapely"
+MY_PV="$(ver_cut 1-3).post$(ver_cut 5)"
+MY_P="${MY_PN}-${MY_PV}"
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Geometric objects, predicates, and operations"
+HOMEPAGE="https://pypi.org/project/Shapely/";
+
+if [[ ${PV} == "9999" ]] ; then
+       inherit git-r3
+       SRC_URI=""
+       EGIT_REPO_URI="https://github.com/Toblerity/${MY_PN}.git";
+else
+       SRC_URI="mirror://pypi/${PN:0:1}/${MY_P}.tar.gz"
+       KEYWORDS="amd64 ~arm64 x86"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+
+BDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+RDEPEND="dev-python/numpy[${PYTHON_USEDEP}]
+       >=sci-libs/geos-3.3"
+DEPEND="${RDEPEND}
+       dev-python/cython[${PYTHON_USEDEP}]"
+
+RESTRICT="!test? ( test )"
+
+PATCHES=( "${FILESDIR}/${P}-test_operations.patch" ) # bug 701624
+
+S="${WORKDIR}/${MY_P}"
+
+python_prepare_all() {
+       # fix install path for Cython definition file
+       sed -i \
+               -e "s|\(data_files.*\)'shapely'|\1'share/shapely'|" \
+               setup.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       distutils_install_for_testing
+       cd "${TEST_DIR}/lib" || die
+       cp -r "${S}/tests" . || die
+       py.test tests || die
+}

diff --git a/sci-libs/shapely/shapely-1.7.0.ebuild 
b/sci-libs/shapely/shapely-1.7.0.ebuild
new file mode 100644
index 00000000000..3e2d10095ce
--- /dev/null
+++ b/sci-libs/shapely/shapely-1.7.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="Shapely"
+MY_P="${MY_PN}-${PV}"
+
+PYTHON_COMPAT=( python3_{7..8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Geometric objects, predicates, and operations"
+HOMEPAGE="https://pypi.org/project/Shapely/ 
https://github.com/Toblerity/Shapely";
+SRC_URI="https://github.com/Toblerity/Shapely/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+       dev-python/numpy[${PYTHON_USEDEP}]
+       >=sci-libs/geos-3.3
+"
+
+BDEPEND="${RDEPEND}
+       dev-python/cython[${PYTHON_USEDEP}]
+"
+
+S="${WORKDIR}/${MY_P}"
+
+distutils_enable_tests pytest
+
+distutils_enable_sphinx docs dev-python/matplotlib
+
+python_test() {
+       distutils_install_for_testing
+       ${EPYTHON} -m pytest tests || die "tests failed under ${EPYTHON}"
+}

Reply via email to